Bug 246432 - print/freetype2: Update to 2.10.2
Summary: print/freetype2: Update to 2.10.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL:
Keywords: patch
Depends on:
Blocks: 246631
  Show dependency treegraph
 
Reported: 2020-05-13 05:39 UTC by lightside
Modified: 2020-06-01 18:11 UTC (History)
2 users (show)

See Also:
tcberner: maintainer-feedback+
antoine: exp-run+


Attachments
Proposed patch (since 517750 revision) (9.64 KB, patch)
2020-05-13 05:39 UTC, lightside
lightside: maintainer-approval? (desktop)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description lightside 2020-05-13 05:39:16 UTC
Created attachment 214441 [details]
Proposed patch (since 517750 revision)

Patch to update print/freetype2 port from 2.10.1 to 2.10.2 version.

Look following links for changes:
https://sourceforge.net/projects/freetype/files/freetype2/2.10.2
https://git.savannah.gnu.org/cgit/freetype/freetype2.git/tree/docs/CHANGES?h=VER-2-10-2
ABI:
https://abi-laboratory.pro/tracker/timeline/freetype/

- Add BROTLI to port's options
- Remove files/patch-2.10.1.diff file
- Update pkg-plist
Comment 1 Tobias C. Berner freebsd_committer 2020-05-16 16:33:55 UTC
Hi there


desktop@ would like to ask for an exp-run of the attached patch.




mfg Tobias
Comment 3 lightside 2020-05-21 13:16:47 UTC
(In reply to Antoine Brodin from comment #2)
Please check this update with using patch for print/ft2demos port in attachment #214718 [details] from bug 246631.
Comment 4 Antoine Brodin freebsd_committer 2020-05-21 21:06:39 UTC
ft2demos is a leaf port, please test yourself
Comment 5 lightside 2020-05-21 22:10:09 UTC
(In reply to Antoine Brodin from comment #4)
The print/ft2demos v2.10.2 builds ok, in my case.

Thanks for exp-run.
Comment 6 commit-hook freebsd_committer 2020-06-01 18:10:48 UTC
A commit references this bug:

Author: tcberner
Date: Mon Jun  1 18:09:49 UTC 2020
New revision: 537498
URL: https://svnweb.freebsd.org/changeset/ports/537498

Log:
  print/freetype2: Update to 2.10.2

  - breaks print/ftdemos2, which needs to be updated to 2.10.2 as well.

  PR:		246432, 246631
  Submitted by:	lightside <lightside@gmx.com>
  Exp-run by:	antoine

Changes:
  head/print/freetype2/Makefile
  head/print/freetype2/distinfo
  head/print/freetype2/files/patch-2.10.1.diff
  head/print/freetype2/pkg-plist
Comment 7 Tobias C. Berner freebsd_committer 2020-06-01 18:11:22 UTC
Committed. Thanks.